Status: Closed   

Priority: Low   

Assignee: Ohad Levy   
Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman currently uses a default content-type header of text/html when rendering unattended install scripts (Kickstart, Preseed,

Jumpstart). This makes viewing them in a browser irritating (need to 'View Source').

Attached is a minor patch against unattended_controller.rb to return the output as text/plain - making it easier to view in a browser,

and ensuring the Content-Type header actually matches what gets returned.

My Ruby is appallingly poor, so I apologise now for the state of the patch ;)

Associated revisions

Revision d8dd4f92 - 06/25/2010 06:47 AM - Jon Fautley

fixes #238 - Set Content-Type HTTP header when rendering nattended install scripts

Revision 2c279147 - 11/24/2015 05:22 AM - Julien Pivotto

Improve systemd.timer integration

Change service name to systemd-run

Add SuccessExitStatus=2 to the service unit

Use Array().join instead of a more complex method

Add the ability to change the systemd service name

Add the ability to specify different commands for systemd and cron

Isolate systemctl-daemon-reload by adding a -puppet suffix

Do not duplicate systemctl-daemon-reload exec definition

Only use the systemd magic on Linux.

Fix tests

Closes #323, #328 and #329.

History

#1 - 06/23/2010 10:01 AM - Jon Fautley

- File 0001-Set-Content-Type-HTTP-header-when-rendering-unattend.patch added

First time with Git, please be gentle ;)

#2 - 06/25/2010 07:01 AM - Ohad Levy

- Status changed from New to Closed

- Target version set to 0.1-6

Files

set-unattended-content-type.patch 594 Bytes 06/23/2010 Jon Fautley

0001-Set-Content-Type-HTTP-header-when-rendering-unattend.patch1011 Bytes 06/23/2010 Jon Fautley
